import { OpResult } from 'mslib';
export declare class PromeClient {
    private configCache;
    queryVector(k8sId: string, promQL: string, params: any): Promise<OpResult<PromeData>>;
    queryRange(k8sId: string, promQL: string, params: any): Promise<OpResult<PromeData>>;
    query(apiUrl: string, data: any): Promise<OpResult<PromeData>>;
}
export interface PromeRes {
    metric: any;
    value: Array<any>;
    values: Array<Array<any>>;
}
export interface PromeData {
    resultType: string;
    result: Array<PromeRes>;
}
